# coding: utf-8

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'active_model_serializer_plus/version'

Gem::Specification.new do |spec|
    spec.name = 'active_model_serializer_plus'
    spec.version = ActiveModelSerializerPlus::VERSION
    spec.date = Time.now.strftime('%Y-%m-%d')
    spec.author = 'Todd Knarr'
    spec.email = 'tknarr@silverglass.org'
    spec.summary = %q{Enhanced serialization/deserialization support for ActiveModel classes.}
    spec.description = %q{Adds methods for automatic deserialization from standard JSON and XML, and a variant implementation of serialization/deserialization for XML.}
    spec.homepage = 'https://github.com/tknarr/active_model_serializer_plus'
    spec.license = 'MIT'

    spec.files = Dir.glob('lib/**/*.rb').select { |path| File.file?(path) } +
        [  __FILE__ ]
    spec.test_files = Dir.glob('test/**/*').select { |path| File.file?(path) && !File.fnmatch('*.{log,sqlite3}', path, File::FNM_EXTGLOB) } +
        Dir.glob('gemfiles/*.gemfile') + [ 'Rakefile', 'Appraisals' ]
    spec.extra_rdoc_files = [ 'README.md', 'CHANGELOG.md', 'LICENSE.md', '.yardopts' ]
    spec.require_paths = ['lib']

    spec.add_dependency 'rails', '~> 4.2'
    spec.add_dependency 'activemodel', '~> 4.2'

    # Development
    spec.add_development_dependency 'bundler', '~> 1.7'
    spec.add_development_dependency 'rake', '~> 10.0'
    spec.add_development_dependency 'yard', '~> 0'

    # Testing
    spec.add_development_dependency 'minitest', '~> 5'
    spec.add_development_dependency 'appraisal', '~> 2'
    spec.add_development_dependency 'sqlite3', '~> 1'
end
